#!/bin/sh 

BASEDIR=`/usr/bin/pkgparam SUNWescom BASEDIR`
. ${BASEDIR}/SUNWsymon/sbin/es-common.sh
set_basedir
set_db_env
. ${BASEDIR}/lib/sbin/db-common.sh
db_setupEnvironment

# Start database if not already up
db_start_database

# Run sql command
/usr/bin/su - $SMCORAU -c "
    . $BASEDIR/sbin/es-common.sh
    set_db_env
    cd \"$ORACLE_HOME\";
    $ORACLE_HOME/bin/sqlplus /nolog <<EOF 
        connect / as sysdba;


# Execute the following commands to reload the following
# scripts in the order listed;
#
# Note: During the execution of the sql script dbmsplts.sql you
#       may see the following error reported a few times, these
#       can be safely ignored.
#
#       ERROR at line 1:
#       ORA-00942: table or view does not exist
#
# Note: While connecting to the mdsys schema you may see the
#       following error, this can be safely ignored.
#
#       Error accessing PRODUCT_USER_PROFILE
#       Warning:  Product user profile information not loaded!
#       You may need to run PUPBLD.SQL as SYSTEM
#

#@/opt/SUNWsymon/oracle/product/8.1.7/rdbms/admin/prvtpexp.plb
ALTER SYSTEM ENABLE RESTRICTED SESSION;
@$ORACLE_HOME/admin/SunMC/patches/4751906/catcpu.sql 
ALTER SYSTEM DISABLE RESTRICTED SESSION;
@$ORACLE_HOME/rdbms/admin/utlrp.sql  
select OBJECT_NAME from DBA_OBJECTS where status = 'INVALID'; 

EOF
        " 2>&1

# Stop Database
db_stop_database

